


# AccountModel class






    *[<Null safety>](https://dart.dev/null-safety)*



<p>Account Model to parse Firebase User data</p>



**Inheritance**

- [Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)
- [Equatable](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable-class.html)
- [Account](../wyatt_authentication_bloc/Account-class.md)
- AccountModel








## Constructors

[AccountModel.fromFirebaseUser](../wyatt_authentication_bloc/AccountModel/AccountModel.fromFirebaseUser.md) ([User](https://pub.dev/documentation/firebase_auth/4.2.0/firebase_auth/User-class.html)? user, {[String](https://api.flutter.dev/flutter/dart-core/String-class.html)? accessToken})

   _factory_

[AccountModel.fromFirebaseUserCredential](../wyatt_authentication_bloc/AccountModel/AccountModel.fromFirebaseUserCredential.md) ([UserCredential](https://pub.dev/documentation/firebase_auth/4.2.0/firebase_auth/UserCredential-class.html)? userCredential)

   _factory_


## Properties

##### [accessToken](../wyatt_authentication_bloc/Account/accessToken.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



The user access token  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [creationTime](../wyatt_authentication_bloc/Account/creationTime.md) &#8594; [DateTime](https://api.flutter.dev/flutter/dart-core/DateTime-class.html)?



Returns the users account creation time.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [email](../wyatt_authentication_bloc/Account/email.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



The users email address.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [emailVerified](../wyatt_authentication_bloc/Account/emailVerified.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



Returns whether the users email address has been verified.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [hashCode](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [id](../wyatt_authentication_bloc/Account/id.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



The user's unique ID.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [isAnonymous](../wyatt_authentication_bloc/Account/isAnonymous.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



Returns whether the user is a anonymous.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [isNewUser](../wyatt_authentication_bloc/Account/isNewUser.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)?



Whether the user account has been recently created.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [lastSignInTime](../wyatt_authentication_bloc/Account/lastSignInTime.md) &#8594; [DateTime](https://api.flutter.dev/flutter/dart-core/DateTime-class.html)?



When the user last signed in as dictated by the server clock.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [phoneNumber](../wyatt_authentication_bloc/Account/phoneNumber.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



Returns the users phone number.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [photoURL](../wyatt_authentication_bloc/Account/photoURL.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



Returns a photo URL for the user.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [props](../wyatt_authentication_bloc/Account/props.md) &#8594; [List](https://api.flutter.dev/flutter/dart-core/List-class.html)&lt;[Object](https://api.flutter.dev/flutter/dart-core/Object-class.html)?>



The list of properties that will be used to determine whether
two instances are equal.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [providerId](../wyatt_authentication_bloc/Account/providerId.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



The provider ID for the user.  
_<span class="feature">final</span><span class="feature">inherited</span>_



##### [refreshToken](../wyatt_authentication_bloc/AccountModel/refreshToken.md) &#8594; [String](https://api.flutter.dev/flutter/dart-core/String-class.html)?



The user refresh token  
_<span class="feature">read-only</span><span class="feature">override</span>_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [stringify](../wyatt_authentication_bloc/Account/stringify.md) &#8594; [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



If set to <code>true</code>, the <a href="https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/toString.html">toString</a> method will be overridden to output
this instance's <a href="../wyatt_authentication_bloc/Account/props.md">props</a>.  
_<span class="feature">read-only</span><span class="feature">inherited</span>_



##### [user](../wyatt_authentication_bloc/AccountModel/user.md) &#8594; [User](https://pub.dev/documentation/firebase_auth/4.2.0/firebase_auth/User-class.html)?



  
_<span class="feature">final</span>_





## Methods

##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed.  
_<span class="feature">inherited</span>_



##### [toString](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object.  
_<span class="feature">inherited</span>_





## Operators

##### [operator ==](https://pub.dev/documentation/equatable/2.0.5/equatable/Equatable/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator.  
_<span class="feature">inherited</span>_















