


# confirmPasswordReset method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;void> confirmPasswordReset
({required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) code, required [String](https://api.flutter.dev/flutter/dart-core/String-class.html) newPassword})

_<span class="feature">override</span>_



<p>Confirms the password reset with the provided <code>newPassword</code> and <code>code</code>.</p>
<p>Throws a ConfirmPasswordResetFailureInterface if an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<void> confirmPasswordReset({
  required String code,
  required String newPassword,
}) =>
    Result.tryCatchAsync<void, AppException, AppException>(
      () async {
        await authenticationRemoteDataSource.confirmPasswordReset(
          code: code,
          newPassword: newPassword,
        );
      },
      (error) => error,
    );
```







