


# signInWithGoogle method




    *[<Null safety>](https://dart.dev/null-safety)*



- @[override](https://api.flutter.dev/flutter/dart-core/override-constant.html)

FutureOrResult&lt;[Account](../../wyatt_authentication_bloc/Account-class.md)> signInWithGoogle
()

_<span class="feature">override</span>_



<p>Starts the Sign In with Google Flow.</p>
<p>Throws a SignInWithGoogleFailureInterface if an exception occurs.</p>



## Implementation

```dart
@override
FutureOrResult<Account> signInWithGoogle() =>
    Result.tryCatchAsync<Account, AppException, AppException>(
      () async {
        final account =
            await authenticationRemoteDataSource.signInWithGoogle();
        return account;
      },
      (error) => error,
    );
```







