// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_crud_bloc/src/domain/entities/object_model.dart';

/// Defines every write operation in CRUD.
mixin CreateOperation<Model extends ObjectModel, Out> on AsyncUseCase<Model, Out> {}

/// Defines every read operation in CRUD.
mixin ReadOperation<Model extends ObjectModel, In, Out> on AsyncUseCase<In, Out> {}

/// Defines every update operation in CRUD.
mixin UpdateOperation<Model extends ObjectModel, In> on AsyncUseCase<In, void> {}

/// Defines every delete operation in CRUD.
mixin DeleteOperation<Model extends ObjectModel, In> on AsyncUseCase<In, void> {}
