// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/widgets.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'symbol_button_component.g.dart';

@ComponentProxyExtension()
abstract class SymbolButtonComponent extends ButtonComponent
    with CopyWithMixin<$SymbolButtonComponentCWProxy> {
  const SymbolButtonComponent({
    this.mainAxisSize = MainAxisSize.min,
    this.label,
    this.icon,
    super.disabledStyle,
    super.normalStyle,
    super.hoveredStyle,
    super.focusedStyle,
    super.tappedStyle,
    super.selectedStyle,
    super.onPressed,
    super.disabled,
    super.themeResolver,
    super.key,
  });

  @override
  SymbolButtonStyle? get disabledStyle;

  @override
  SymbolButtonStyle? get normalStyle;

  @override
  SymbolButtonStyle? get hoveredStyle;

  @override
  SymbolButtonStyle? get focusedStyle;

  @override
  SymbolButtonStyle? get tappedStyle;

  @override
  SymbolButtonStyle? get selectedStyle;

  final MainAxisSize? mainAxisSize;
  final Widget? icon;
  final TextWrapper? label;
}
