// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart' hide ButtonStyle;
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';
import 'package:wyatt_ui_kit/src/components/buttons/flat_button/flat_button_screen.dart';
import 'package:wyatt_ui_kit/src/components/buttons/flat_button/flat_button_theme_resolver.dart';

part 'flat_button.g.dart';

@ComponentCopyWithExtension()
class FlatButton extends FlatButtonComponent with $FlatButtonCWMixin {
  const FlatButton({
    super.prefix,
    super.suffix,
    super.label,
    super.disabledStyle,
    super.normalStyle,
    super.hoveredStyle,
    super.focusedStyle,
    super.tappedStyle,
    super.onPressed,
    super.disabled,
    super.mainAxisSize,
    super.themeResolver,
    super.key,
  });

  @override
  FlatButtonStyle? get disabledStyle => super.disabledStyle as FlatButtonStyle?;

  @override
  FlatButtonStyle? get normalStyle => super.normalStyle as FlatButtonStyle?;

  @override
  FlatButtonStyle? get hoveredStyle => super.hoveredStyle as FlatButtonStyle?;

  @override
  FlatButtonStyle? get focusedStyle => super.focusedStyle as FlatButtonStyle?;

  @override
  FlatButtonStyle? get tappedStyle => super.tappedStyle as FlatButtonStyle?;

  @override
  FlatButtonThemeResolver? get themeResolver =>
      super.themeResolver as FlatButtonThemeResolver?;

  @override
  Widget build(BuildContext context) => FlatButtonScreen(
        prefix: prefix,
        suffix: suffix,
        label: label,
        disabledStyle: disabledStyle,
        normalStyle: normalStyle,
        hoveredStyle: hoveredStyle,
        focusedStyle: focusedStyle,
        tappedStyle: tappedStyle,
        onPressed: onPressed,
        disabled: disabled,
        mainAxisSize: mainAxisSize,
        themeResolver: themeResolver,
        key: key,
      );
}
